Skip to main content
GET
Python

Authorizations

x-api-key
string
header
required

Path Parameters

taskgroup_id
string
required
run_id
string
required

Response

Successful Response

Status of a task run.

run_id
string
required

ID of the task run.

Example:

"trun_e0083b6aac0544eb8686e8d2a76533d2"

interaction_id
string
required

Identifier for this interaction. Pass this value as previous_interaction_id to reuse context for a future request.

Example:

"trun_e0083b6aac0544eb8686e8d2a76533d2"

status
enum<string>
required

Status of the run.

Available options:
queued,
action_required,
running,
completed,
failed,
cancelling,
cancelled
Examples:

"queued"

"action_required"

"running"

"completed"

"failed"

"cancelling"

"cancelled"

is_active
boolean
required

Whether the run is currently active, i.e. status is one of {'cancelling', 'queued', 'running'}.

processor
string
required

Processor used for the run.

Example:

"base"

created_at
string | null
required

Timestamp of the creation of the task, as an RFC 3339 string.

Example:

"2025-04-24T18:56:22.513132Z"

modified_at
string | null
required

Timestamp of the last modification to the task, as an RFC 3339 string.

Example:

"2025-04-24T18:56:22.513132Z"

warnings
Warning · object[] | null

Warnings for the run, if any.

Example:
error
Error · object | null

Error for the run, present only if status is 'failed'.

metadata
Metadata · object | null

User-provided metadata stored with the run.

Example:
taskgroup_id
string | null

ID of the taskgroup to which the run belongs.